classification
Title: Change required to sysconfig.py for Python 2.7.2 on OS/2
Type: compile error Stage: resolved
Components: Build Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Paul.Smedley, benjamin.peterson, eric.araujo, loewis, pitrou, zach.ware
Priority: normal Keywords: patch

Created on 2012-01-07 23:53 by Paul.Smedley, last changed 2020-04-26 18:56 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
sysconfig.py.diff Paul.Smedley, 2012-01-07 23:53
Messages (13)
msg150831 - (view) Author: Paul Smedley (Paul.Smedley) Date: 2012-01-07 23:53
Python 2.7.2 fails during compilation on OS/2  with:
 File "./setup.py", line 1154, in detect_modules
   for arg in sysconfig.get_config_var("CONFIG_ARGS").split()]
AttributeError: 'NoneType' object has no attribute 'split'
make: *** [sharedmods] Error 1

Attached diff for sysconfig.py corrects the problem
msg150839 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-01-08 01:23
I think OS/2 portability fixes should probably target 3.3 instead.
msg150842 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-01-08 03:47
Paul, can you please elaborate on the patch? The original code looks better to me than the new code. Why do you think this change is right?
msg150843 - (view) Author: Paul Smedley (Paul.Smedley) Date: 2012-01-08 03:49
I'm building OS/2 python here using configure, etc - without the changes attached, python would not complete the build.
msg150854 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-01-08 09:40
Please consider this: the code that is there was specifically added by somebody porting Python to OS/2. So if it doesn't work for you, either OS/2 has changed (which I don't think is the case), or you are doing something wrong (such as using the wrong tool chain).

If the change you propose was carried out, it would likely break what works currently. So everybody is hesitant to add this change, unless you can explain it to us: line-by-line, character-by-character. E.g. why are you proposing that OS/2 is a POSIX system? Treating it similar to NT is much more plausible, given that NT was designed as the OS/2 successor originally.
msg150863 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-01-08 13:34
Well, the answer has probably been already given on python-dev:

> I've been building Python 2.x for a while, and currently have binaries 
> of 2.6.5 available from http://os2ports.smedley.info

> Unlike Andrew Mcintyre, I'm using libc for development 
> (http://svn.netlabs.org/libc) rather than emx.  libc is still being 
> developed whereas emx hasn't been updated in about 10 years.
msg150949 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-01-09 16:31
The first diff hunk looks a clear typo fix for all versions.
msg151009 - (view) Author: Paul Smedley (Paul.Smedley) Date: 2012-01-10 08:41
When I get some spare time, I'll test the default code using Andy Mac's last build of Python - which afaik was 2.4.x and see if it works correctly
msg185010 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2013-03-22 21:50
Given the comment in msg150839 "I think OS/2 portability fixes should probably target 3.3 instead." and seeing that OS/2 is no longer supported http://docs.python.org/3/whatsnew/3.3.html#unsupported-operating-systems can this be closed?
msg213322 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-12 23:07
Benjamin: the patch contains an obvious fix to enable the user install scheme in distutils (PEP 370) (os2_user was misspellt os2_home), and more questionable changes (maybe incomplete too: many other places do different things for “posix” or “nt”, and apparently “os2” should be like “posix” but currently isn’t).  Should I apply the obvious fix to 2.7?  What about the other proposed changes?
msg213326 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-03-12 23:17
Seems reasonable.
msg213327 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-12 23:20
Alright.  If OS/2 is a supported platform for 2.7, it makes sense to have compat fixes in that branch.

IIUC the existing patch fixes two things: “python setup.py install --user” never worked correctly on OS/2; python doesn’t build on OS/2.  Fixes require tests.
msg367330 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2020-04-26 18:56
As Python 2.7 is now EOL and was the last remaining version to support OS/2, I'm closing the issue.
History
Date User Action Args
2020-04-26 18:56:38zach.waresetstatus: open -> closed

nosy: + zach.ware
messages: + msg367330

resolution: out of date
stage: test needed -> resolved
2014-03-12 23:20:45eric.araujosetmessages: + msg213327
stage: test needed
2014-03-12 23:17:26benjamin.petersonsetmessages: + msg213326
2014-03-12 23:07:30eric.araujosetnosy: + benjamin.peterson
messages: + msg213322
2014-02-03 18:38:34BreamoreBoysetnosy: - BreamoreBoy
2013-03-22 21:50:45BreamoreBoysetnosy: + BreamoreBoy
messages: + msg185010
2012-01-10 08:41:10Paul.Smedleysetmessages: + msg151009
2012-01-09 16:31:01eric.araujosetmessages: + msg150949
2012-01-08 13:34:06pitrousetmessages: + msg150863
2012-01-08 09:40:25loewissetmessages: + msg150854
2012-01-08 03:49:10Paul.Smedleysetmessages: + msg150843
2012-01-08 03:47:36loewissetmessages: + msg150842
2012-01-08 01:23:24pitrousetnosy: + loewis, eric.araujo, pitrou
messages: + msg150839
2012-01-07 23:53:21Paul.Smedleycreate